"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const category_1 = require("hint/dist/src/lib/enums/category");
const hint_scope_1 = require("hint/dist/src/lib/enums/hint-scope");
const i18n_import_1 = require("./i18n.import");
const meta = {
    docs: {
        category: category_1.Category.compatibility,
        description: i18n_import_1.getMessage('description', 'en'),
        name: i18n_import_1.getMessage('name', 'en')
    },
    getDescription(language) {
        return i18n_import_1.getMessage('description', language);
    },
    getName(language) {
        return i18n_import_1.getMessage('name', language);
    },
    id: 'stylesheet-limits',
    schema: [{
            additionalProperties: false,
            definitions: {
                number: {
                    minimum: 0,
                    type: 'integer'
                }
            },
            properties: {
                maxImports: { $ref: '#/definitions/number' },
                maxRules: { $ref: '#/definitions/number' },
                maxSheets: { $ref: '#/definitions/number' }
            },
            type: ['object', 'null']
        }],
    scope: hint_scope_1.HintScope.site
};
exports.default = meta;
